
.video {
    position: relative;
    max-width: 100%;

    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 0.1fr 1.3fr 0.6fr;
    gap: 0 0;
    grid-template-areas:
    "title chapters"
    "player chapters"
    "player keywords";
}
.title { grid-area: title; }
.player { grid-area: player; }
.chapters { grid-area: chapters; }
.keywords { grid-area: keywords; }

.video video {
    flex: 1;
    max-width: 100%;
}
.video .title {
    margin: 1.5rem 2rem 1rem;
    max-width: 100%;
}
.video .synopsis {
    position: relative;
    top: -2.5rem;
    width: 100%;
    height: 0;
}
.video .synopsis > div {
    padding: 1rem 2rem 0.5rem;
    max-height: 50vh;
    width: 100%;
    position: absolute;
    bottom: 0;
    display: flex;
    flex-direction: column;
    opacity: 0;
    background-color: #000000cc;
    transition: opacity 0.3s;
}
.video .synopsis > div:hover {
    opacity: 1;
}
.video .synopsis h2 {
    margin-top: 0;
    margin-bottom: 0.5rem;
    flex: 1 0 auto;
}
.video .synopsis #text {
    flex: 0 1 auto;
    overflow-x: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.video .synopsis #toggle-synopsis {
    position: absolute;
    top: 1rem;
    right: 2rem;
    transform: rotate(90deg);
    height: max-content;
    width: 1rem;
    text-align: center;
    cursor: pointer;
}
.video .synopsis #toggle-synopsis::before {
    content: "⟩";
    margin-bottom: 0.3rem;
    display: inline-block;
}
.video .synopsis #toggle-synopsis.active::before {
    content: "⟨";
}
.video .synopsis #toggle-synopsis.active + #text {
    white-space: initial;
}


.video .chapters,
.video .keywords {
    display: flex;
    padding: 1rem 0.5rem;
    flex-wrap: wrap;
}
.video .chapters {
    align-content: flex-end;
}
.video .keywords {
    align-content: flex-start;
}
.video .chapters span,
.video .keywords span {
    flex: 1 0 100%;
    margin-bottom: 1rem;
}
.video .chapters div,
.video .keywords div {
    display: flex;
    flex-wrap: wrap;
}
.video .chapters div button,
.video .keywords div a {
    padding: 0 0.25rem 0.15rem;
    margin: 0 0.25rem 0.25rem;
    border-radius: 0.5rem;
    border: 3px solid;
}

.video .chapters div button {
    font-size: 1rem;
    border-color: darkgray;
}
.video .chapters div button:hover {
    border-color: transparent;
    background-color: darkgray;
    color: black;
}

.video .keywords div a {
    text-decoration: none;
    border-color: transparent;
    background-color: darkgray;
    color: black;
}
.video .keywords div a:hover {
    color: inherit;
    border-color: darkgray;
    background-color: transparent;
}